Package org.stianloader.micromixin.transform.internal

## Class MixinStub

- java.lang.Object
- - org.stianloader.micromixin.transform.internal.MixinStub

- All Implemented Interfaces:
    `java.lang.Comparable<MixinStub>`

      public class MixinStub
      extends java.lang.Object
      implements java.lang.Comparable<MixinStub>

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `java.net.URI` | `codeSourceURI` |
    `java.util.Collection<MixinFieldStub>` | `fields` |
    `MixinHeader` | `header` |
    `java.util.Collection<MixinMethodStub>` | `methods` |
    `org.objectweb.asm.tree.ClassNode` | `sourceNode` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MixinStub​(org.objectweb.asm.tree.ClassNode sourceNode, MixinHeader header, java.util.Collection<MixinMethodStub> methods, java.util.Collection<MixinFieldStub> fields, java.util.List<MixinParseException> delayedExceptions, java.net.URI codeSourceURI)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `applyTo​(org.objectweb.asm.tree.ClassNode target, HandlerContextHelper hctx, java.lang.StringBuilder sharedBuilder)` |
    `int` | `compareTo​(MixinStub o)` |
    `SimpleRemapper` | `getRemapper​(org.objectweb.asm.tree.ClassNode targetClass, HandlerContextHelper hctx, java.lang.StringBuilder sharedBuilder)` |
    `static MixinStub` | `parse​(int defaultPriority, org.objectweb.asm.tree.ClassNode node, MixinTransformer<?> transformer, java.net.URI codeSourceURI, java.lang.StringBuilder sharedBuilder)` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### codeSourceURI

          @Nullable
          @AvailableSince("0.7.0-a20241008")
          public final java.net.URI codeSourceURI

    - #### fields

          @NotNull
          public final java.util.Collection<MixinFieldStub> fields

    - #### header

          @NotNull
          public final MixinHeader header

    - #### methods

          @NotNull
          public final java.util.Collection<MixinMethodStub> methods

    - #### sourceNode

          @NotNull
          public final org.objectweb.asm.tree.ClassNode sourceNode

  - ### Constructor Detail

    - #### MixinStub

          public MixinStub​(@NotNull
                           org.objectweb.asm.tree.ClassNode sourceNode,
                           @NotNull
                           MixinHeader header,
                           @NotNull
                           java.util.Collection<MixinMethodStub> methods,
                           @NotNull
                           java.util.Collection<MixinFieldStub> fields,
                           @Nullable
                           java.util.List<MixinParseException> delayedExceptions,
                           @Nullable
                           java.net.URI codeSourceURI)

  - ### Method Detail

    - #### parse

          @NotNull
          public static MixinStub parse​(int defaultPriority,
                                        @NotNull
                                        org.objectweb.asm.tree.ClassNode node,
                                        @NotNull
                                        MixinTransformer<?> transformer,
                                        @Nullable
                                        java.net.URI codeSourceURI,
                                        @NotNull
                                        java.lang.StringBuilder sharedBuilder)

    - #### applyTo

          public void applyTo​(@NotNull
                              org.objectweb.asm.tree.ClassNode target,
                              @NotNull
                              HandlerContextHelper hctx,
                              @NotNull
                              java.lang.StringBuilder sharedBuilder)

    - #### compareTo

          public int compareTo​(MixinStub o)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<MixinStub>`

    - #### getRemapper

          @NotNull
          public SimpleRemapper getRemapper​(@NotNull
                                            org.objectweb.asm.tree.ClassNode targetClass,
                                            @NotNull
                                            HandlerContextHelper hctx,
                                            @NotNull
                                            java.lang.StringBuilder sharedBuilder)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`